<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>S05: HTML Forms and Tables</title>
  </head>
  <body>

    <header>
        <h1>HTML Tables and Forms</h1>
    </header>

<main>

    <section>
        <h2>HTML Entities</h2>

    <p>
      <em
        >Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix
        up with HTML codes).</em
      >
    </p>

    <!-- Defines an HTML Table -->

    <table border="1">
      <!-- Used to group table header contents -->
      <thead>
        <!-- Defines a tbale row -->
        <tr>
          <!-- Deines a table header element/value/dat -->

          <th colspan="2">Entity</th>
          <th>Description</th>
        </tr>
      </thead>

      <!-- Used to group table body contents -->
      <tbody>
        <tr>
          <!-- XDefines a table data element -->
          <td>&lt;</td>
          <td>lt</td>
          <td>less than</td>
        </tr>
        <tr>
          <!-- XDefines a table data element -->
          <td>&gt;</td>
          <td>gt</td>
          <td>Greater than</td>
        </tr>
        <tr>
          <!-- XDefines a table data element -->
          <td>&#8369;</td>
          <td>#8369</td>
          <td>peso sign</td>
        </tr>
        <tr>
          <!-- XDefines a table data element -->
          <td>&amp;</td>
          <td>amp</td>
          <td>ampersand</td>
        </tr>
        <tr>
          <td>&quot;</td>
          <td>quot</td>
          <td>double quotattion mark</td>
        </tr>
        <tr>
          <td>&apos;</td>
          <td>apos</td>
          <td>single quotattion mark</td>
        </tr>
        <tr>
          <td>&ntilde;</td>
          <td>ntilde</td>
          <td>lower tilde</td>
        </tr>
        <tr>
          <td>&Utilde;</td>
          <td>Utilde</td>
          <td>upper tilde</td>
        </tr>
      </tbody>

      <tfoot>
        <tr>
          <th colspan="3">List of HTML Entities</th>
        </tr>
      </tfoot>
    </table>

    <!-- End of Table Elements -->
    </section>

    <section>
        <!-- Start of Form Elements -->

    <h2>HTML Forms</h2>
    <p><em>Input elements that make up a form.</em></p>

    <!-- Creates an HTML form to capture user inputs. -->
    <form action="https://google.com" target="_blank">

      <label for="full_name">Full Name:</label> <br>
      <input type="text" name="full_name" id="full_name" required placeholder="Full Name">

      <!-- Creates a button that will submit the form data -->
        <br><br>

      <label for="birth_date">Birth date:</label>
      <input type="date" name="birth_date" id="birth_date" required>
      <br><br>
      
      <label for="age">Age:</label>
      <input type="number" name="age" id="age" required>
      <br><br>

      <label for="gender">Gender:</label>
      <select name="gender" id="gender">
        <option value="Male">Male</option>
        <option value="Female">Female</option>
      </select>

      <br><br>

      <label for="notes">Notes:</label> <br>
      <textarea name="notes" id="notes" rows="5"></textarea>

      <br><br>

      <label>New User:</label>
      <input type="radio" name="new_user" id="user-type1">
      <label for="user-type1">Yes</label>
      
      <input type="radio" name="new_user" id="user-typ2">
      <label for="user-typ2">No</label>

      <br><br>

      <label>Role:</label><br>
      <input type="checkbox" name="role1" id="role1" value="developer">
      <label for="role1">Developer</label><br>
      

      <input type="checkbox" name="role2" id="role2" value="student">
      <label for="role2">Student</label><br>

      <input type="checkbox" name="role2" id="role2" value="manager">
      <label for="role2">Manager</label><br><br>

      <button type="submit">Submit</button>

      <button type="reset">Reset</button>
    </form>
    </section>

</main>
    
  </body>
</html>
